package com.digiwin.athena.app.ptc.provider;

import com.digiwin.app.service.DWEAIResult;
import com.digiwin.app.service.DWService;
import com.digiwin.app.service.eai.EAIService;
import com.digiwin.athena.app.ptc.service.production.ProductionUtil;

import java.util.Map;

/**
 * @auther: zhenggl
 * @date: 2023/9/12
 */
public interface ProductionDetailsEAIService extends DWService {

    @EAIService(id = ProductionUtil.PRODUCTION_TASK_GET)
    DWEAIResult taskGet(Map<String, String> headers, String messageBody) throws Exception;

    @EAIService(id = ProductionUtil.PRODUCTION_TASK_UPDATE)
    DWEAIResult taskUpdate(Map<String, String> headers, String messageBody) throws Exception;

    @EAIService(id = ProductionUtil.PRODUCTION_TASK_CREATE)
    DWEAIResult taskCreate(Map<String, String> headers, String messageBody) throws Exception;

}
